package mhp.oee.po.gen;

import java.util.Date;

public class UserGroupMemberPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column user_group_member.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column user_group_member.USER_GROUP_BO
     *
     * @mbggenerated
     */
    private String userGroupBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column user_group_member.USER_BO
     *
     * @mbggenerated
     */
    private String userBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column user_group_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column user_group_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column user_group_member.HANDLE
     *
     * @return the value of user_group_member.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column user_group_member.HANDLE
     *
     * @param handle the value for user_group_member.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column user_group_member.USER_GROUP_BO
     *
     * @return the value of user_group_member.USER_GROUP_BO
     *
     * @mbggenerated
     */
    public String getUserGroupBo() {
        return userGroupBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column user_group_member.USER_GROUP_BO
     *
     * @param userGroupBo the value for user_group_member.USER_GROUP_BO
     *
     * @mbggenerated
     */
    public void setUserGroupBo(String userGroupBo) {
        this.userGroupBo = userGroupBo == null ? null : userGroupBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column user_group_member.USER_BO
     *
     * @return the value of user_group_member.USER_BO
     *
     * @mbggenerated
     */
    public String getUserBo() {
        return userBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column user_group_member.USER_BO
     *
     * @param userBo the value for user_group_member.USER_BO
     *
     * @mbggenerated
     */
    public void setUserBo(String userBo) {
        this.userBo = userBo == null ? null : userBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column user_group_member.CREATED_DATE_TIME
     *
     * @return the value of user_group_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column user_group_member.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for user_group_member.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column user_group_member.MODIFIED_USER
     *
     * @return the value of user_group_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column user_group_member.MODIFIED_USER
     *
     * @param modifiedUser the value for user_group_member.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}